uuid: 780f05c8-8d1f-4896-8431-11e69cd27f11
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_url_alias
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'URL aliases'
source:
  plugin: d7_url_alias
  constants:
    slash: /
process:
  id:
    -
      plugin: get
      source: pid
  _path:
    -
      plugin: concat
      source:
        - constants/slash
        - source
  alias:
    -
      plugin: concat
      source:
        - constants/slash
        - alias
  node_translation:
    -
      plugin: explode
      source: source
      delimiter: /
    -
      plugin: extract
      default: INVALID_NID
      index:
        - 1
    -
      plugin: migration_lookup
      migration: {  }
  langcode:
    -
      plugin: null_coalesce
      source:
        - '@node_translation/1'
        - language
  path:
    -
      plugin: path_set_translated
      source:
        - '@_path'
        - '@node_translation'
destination:
  plugin: 'entity:path_alias'
migration_dependencies:
  required: {  }
  optional: {  }
